Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink
Class QLinkServer

    java.lang.Object
      |
      +--org.jbrain.qlink.QLinkServer

public class QLinkServer
extends java.lang.Object

Constructor Summary
`QLinkServer()`

Method Summary
`void` | `addSession(QSession session)`
`boolean` | `canReceiveOLMs(org.jbrain.qlink.user.QHandle handle)`
`java.util.Map` | `getAttributes()`
`java.util.List` | `getSessionList()`
`java.util.Map` | `getSessionMap()`
`boolean` | `isUserOnline(org.jbrain.qlink.user.QHandle handle)`
`boolean` | `killSession(org.jbrain.qlink.user.QHandle handle)`
`static void` | `main(java.lang.String[] args)`
`void` | `reboot(java.lang.String text)`
`void` | `removeSession(QSession session)`
`void` | `sendOLM(org.jbrain.qlink.user.QHandle handle, java.lang.String[] olm)`
`void` | `sendSYSOLM(java.lang.String msg)`
`boolean` | `sendToUser(org.jbrain.qlink.user.QHandle handle, Action a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QLinkServer

    public QLinkServer()

Method Detail

### addSession

    public void addSession(QSession session)

  Parameters:
    `session` -

### removeSession

    public void removeSession(QSession session)

  Parameters:
    `session` -

### sendSYSOLM

    public void sendSYSOLM(java.lang.String msg)

  Parameters:
    `msg` -

### killSession

    public boolean killSession(org.jbrain.qlink.user.QHandle handle)

### canReceiveOLMs

    public boolean canReceiveOLMs(org.jbrain.qlink.user.QHandle handle)

### getSessionList

    public java.util.List getSessionList()

### getSessionMap

    public java.util.Map getSessionMap()

### getAttributes

    public java.util.Map getAttributes()

### sendOLM

    public void sendOLM(org.jbrain.qlink.user.QHandle handle,
                        java.lang.String[] olm)

### isUserOnline

    public boolean isUserOnline(org.jbrain.qlink.user.QHandle handle)

  Returns:

### sendToUser

    public boolean sendToUser(org.jbrain.qlink.user.QHandle handle,
                              Action a)

### main

    public static void main(java.lang.String[] args)

### reboot

    public void reboot(java.lang.String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD